OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Public Member Functions | Public Attributes | List of all members
OpenMesh::Subdivider::Uniform::CompositeLoopT< MeshType, RealType >::EVCoeff Struct Reference

Helper struct. More...

`#include <OpenMesh/Tools/Subdivider/Uniform/CompositeLoopT.hh>`

Inheritance diagram for OpenMesh::Subdivider::Uniform::CompositeLoopT< MeshType, RealType >::EVCoeff:
[legend]
Collaboration diagram for OpenMesh::Subdivider::Uniform::CompositeLoopT< MeshType, RealType >::EVCoeff:
[legend]

## Classes

struct | compute_weight

## Public Member Functions

void | init (size_t _max_valence)
double | operator() (size_t _valence)

## Public Attributes

std::vector< double > | weights_

## Detailed Description

### template<class MeshType, class RealType = float>
struct OpenMesh::Subdivider::Uniform::CompositeLoopT< MeshType, RealType >::EVCoeff

Helper struct.

The documentation for this struct was generated from the following file:

- OpenMesh/Tools/Subdivider/Uniform/CompositeLoopT.hh